[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# WideStrAlloc

Allocate a null-terminated widestring on the heap.

## Declaration

Source position: sysunih.inc line 59

`function WideStrAlloc(`
`size: Cardinal`
`):pwidechar;`

## Description

WideStrAlloc reserves memory on the heap for a widestring with length Len, (terminating #0#0 included), and returns a pointer to it.

Additionally, WideStrAlloc allocates 4 extra bytes to store the size of the allocated memory.

## Errors

None.

## See also

StrBufSize |  | Return the size of a null-terminated string allocated on the heap.
StrDispose |  | Dispose of a null-terminated string on the heap.
StrAlloc |  | Allocate memory for a new null-terminated string on the heap